Subject: Re: [PATCH][12/37] Clean up duplicate includes in drivers/net/

From: Chris Snook <[email-masked]>
Date: Sat, 21 Jul 2007 12:40:28 -0400

Jesper Juhl wrote:
> Hi,
> 
> This patch cleans up duplicate includes in
> 	 drivers/net/
> 
> 
> Signed-off-by: Jesper Juhl <[email-masked]>
> ---
> 
> diff --git a/drivers/net/atl1/atl1_main.c b/drivers/net/atl1/atl1_main.c
> index fd1e156..4a18b88 100644
> --- a/drivers/net/atl1/atl1_main.c
> +++ b/drivers/net/atl1/atl1_main.c
> @@ -75,7 +75,6 @@
>  #include <linux/compiler.h>
>  #include <linux/delay.h>
>  #include <linux/mii.h>
> -#include <linux/interrupt.h>
>  #include <net/checksum.h>
>  
>  #include <asm/atomic.h>

Define "duplicate".  I ask because this patch just got posted a few days ago:

Signed-off-by: Al Viro <[email-masked]>
---
  drivers/net/atl1/atl1_main.c |    1 +
  1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/drivers/net/atl1/atl1_main.c b/drivers/net/atl1/atl1_main.c
index 4a18b88..fd1e156 100644
--- a/drivers/net/atl1/atl1_main.c
+++ b/drivers/net/atl1/atl1_main.c
@@ -75,6 +75,7 @@
  #include <linux/compiler.h>
  #include <linux/delay.h>
  #include <linux/mii.h>
+#include <linux/interrupt.h>
  #include <net/checksum.h>

  #include <asm/atomic.h>

I've always been under the impression that one should include all the files 
whose contents you use directly, because other includes that happen to include 
them might no longer need to in the future and cease including them.  You can 
fight it out with Al if you feel like it.  I'm keeping the rest of the CC list 
because the other maintainers might have similar feelings about the 
appropriateness of these includes in their drivers.

	-- Chris